ethtool (1:6.0-1) unstable; urgency=medium

  * New upstream release: 6.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 21 Oct 2022 06:59:48 +0200

ethtool (1:5.19-1) unstable; urgency=medium

  * New upstream release: 5.19
  * debian/copyright: Add new stanza for cpsw.c
  * debian/copyright: Add new stanza for lan743x.c
  * debian/source/lintian-overrides: Update override for
    orig-tarball-missing-upstream-signature

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 24 Aug 2022 07:21:32 +0200

ethtool (1:5.18-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/.gitignore: Ignore more debhelper temporary files

  [ Salvatore Bonaccorso ]
  * New upstream release: 5.18
  * debian/watch: use uscan version 4
  * Update copyright information for debian/* packaging files
  * Declare compliance with Debian policy 4.6.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 16 Jun 2022 21:08:14 +0200

ethtool (1:5.17-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/salsa-ci.yml: Disable arch:all builds

  [ Salvatore Bonaccorso ]
  * New upstream release: 5.17

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 05 Apr 2022 07:00:25 +0200

ethtool (1:5.16-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org

  [ Salvatore Bonaccorso ]
  * New upstream release: 5.16
  * debian/copyright: Adjust information for uapi/linux/{ethtool,net_tstamp}.h
  * debian/copyright: Adjust filename pattern for smsc911x.c

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 19 Jan 2022 08:33:23 +0100

ethtool (1:5.15-1) unstable; urgency=medium

  [ Romain Perier ]
  * New upstream release (Closes: #998009)

  [ Salvatore Bonaccorso ]
  * Bump Debhelper compat level to 13
  * Declare compliance with Debian policy 4.6.0
  * New upstream release: 5.15

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 14 Nov 2021 21:47:26 +0100

ethtool (1:5.9-1) unstable; urgency=medium

  * New upstream release

 -- Ben Hutchings <benh@debian.org>  Wed, 28 Oct 2020 21:37:26 +0000

ethtool (1:5.8-1) unstable; urgency=medium

  * New upstream release (Closes: #968099)

  [ Ben Hutchings ]
  * Revert "debian/rules: Configure with --disable-silent-rules by default";
    dh_auto_configure already passes this option
  * debian/control: Set Architecture: linux-any (Closes: #961965)
  * debian/control: Use my debian.org email in Uploaders field
  * debian/upstream/signing-key.asc: Update for new upstream maintainer
  * debian/control: Add libmnl-dev and pkg-config to Build-Depends

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove empty debian/source/options.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.0, no changes needed.

 -- Ben Hutchings <benh@debian.org>  Fri, 14 Aug 2020 01:50:13 +0100

ethtool (1:5.4-1) unstable; urgency=medium

  [ Romain Perier ]
  * New upstream release: 5.2

  [ Ben Hutchings ]
  * New upstream release: 5.4
  * Add upstream public key and enable signature checking in debian/watch
  * debian/control: Remove Anibal from Uploaders (Closes: #925101)
  * debian/copyright: Update copyright notices and add a "Files: *" paragraph
  * lintian: Override orig-tarball-missing-upstream-signature warning as
    this is blocked by bug #882694
  * debian/control: Set Rules-Requires-Root: no
  * debian/rules: Configure with --disable-silent-rules by default
  * debian/control: Update Standards-Version to 4.4.1

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 30 Jan 2020 17:25:08 +0100

ethtool (1:4.19-1) unstable; urgency=medium

  [ Romain Perier ]
  * New upstream release
  * debian/gbp.conf: Fix old-style of section for git-buildpackage
  * debian/source/options: Delete redundant compression settings

  [ Ben Hutchings ]
  * debian/.gitignore: Ignore generated files
  * debian/gbp.conf: Disable use of pristine-tar

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 08 Dec 2018 20:11:40 +0000

ethtool (1:4.16-1) unstable; urgency=medium

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 20 May 2018 17:39:19 +0200

ethtool (1:4.15-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Point Vcs URLs to Salsa
  * debian/control: Update Standards-Version to 4.1.3; no changes needed
  * debian/control: Set Maintainer to kernel team; add Anibal to Uploaders

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 07 Apr 2018 12:47:40 +0200

ethtool (1:4.11-1) unstable; urgency=medium

  * New upstream release:
    - ethtool: Fix the "advertise" parameter logic. (Closes: #873565)
  * debian/copyright: Update to machine-readable format version 1.0
  * debian/control: Update Standards-Version to 4.0.1; no changes needed

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 29 Aug 2017 23:53:50 +0100

ethtool (1:4.8-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Change to use HTTP-S URL

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 17 Oct 2016 03:35:07 +0100

ethtool (1:4.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Update policy version to 3.9.8; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 30 Jun 2016 17:13:44 +0200

ethtool (1:4.5-1) unstable; urgency=medium

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 14 Mar 2016 11:15:00 +0000

ethtool (1:4.2-1) unstable; urgency=medium

  * New upstream release
  * Fix missing function declarations when building tests
  * Fix return type of test_free() prorotype (Closes: #747959)
  * debian/compat, debian/control: Set debhelper compatibility to 9
    - Enables automatic use of dpkg-buildflags, including hardening flags
      (Closes: #764507)
  * debian/copyright: Update to cover all source files
  * debian/control: Change Vcs-Git, Vcs-Browser and Homepage to canonical
    HTTP-S URLs
  * debian/copyright: Change Source to HTTP-S URL
  * debian/control: Update policy version to 3.9.6; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 09 Oct 2015 03:54:03 +0100

ethtool (1:3.16-1) unstable; urgency=medium

  * New upstream release
  * ethtool.if-up: Fix syntax for setting autoneg advertising mask
    (Closes: #760771)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 22 Sep 2014 00:26:06 +0100

ethtool (1:3.13-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 28 Jan 2014 00:19:59 +0000

ethtool (1:3.11-1) unstable; urgency=low

  * New upstream release
  * Replace build dependency on automake1.9 with automake

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 22 Sep 2013 02:12:21 +0100

ethtool (1:3.9-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 20 May 2013 04:17:34 +0100

ethtool (1:3.4.2-1) unstable; urgency=low

  * New upstream release:
    - Fix regression in RX NFC rule insertion for drivers that do not
      select rule locations (-N/-U option)
    - Remove bogus error message when changing offload settings on
      Linux < 2.6.39 (-K option)
    - Use alternate method to check for VLAN tag offload on Linux < 2.6.37
      (-k option)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 19 Jul 2012 03:28:01 +0100

ethtool (1:3.4.1-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 13 Jun 2012 03:42:08 +0100

ethtool (1:3.2-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 28 Apr 2012 16:11:43 +0100

ethtool (1:3.1-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 11 Dec 2011 22:29:38 +0000

ethtool (1:3.0-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 21 Aug 2011 00:21:09 +0100

ethtool (1:2.6.39-1) unstable; urgency=low

  * New upstream release
    - Add support for e1000 M88 PHY registers (-d option) (Closes: #574574)
  * Note that additional protocol offloads may be controlled through
    /etc/network/interfaces
  * Update policy version to 3.9.2; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 04 Jun 2011 21:55:17 +0100

ethtool (1:2.6.38-1) unstable; urgency=low

  * New upstream release
    - Don't silently ignore speed/duplex when autoneg is on (Closes: #457971)
  * Update upstream homepage and download URLs
  * Convert copyright information to DEP5 format
  * Add some missing copyright information

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 02 Apr 2011 17:13:01 +0100

ethtool (1:2.6.37-1) unstable; urgency=low

  * New upstream release
    - Includes our patch 01-fix-man-rx-hash-opts.patch
  * Remove conflict with ancient sparc-utils
  * Don't install the upstream changelog file; changes are now recorded
    in git history and the NEWS file instead

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 19 Feb 2011 03:07:34 +0000

ethtool (1:2.6.34-3) unstable; urgency=low

  * Add control fields pointing to the new git repository
  * ethtool.if-up: Remove dependency on commands installed under /usr
    (Closes: #589123)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 11 Aug 2010 00:37:27 +0100

ethtool (1:2.6.34-2) unstable; urgency=low

  * Merge 1:2.6.34-1ubuntu1
    Move ethtool to /sbin from /usr/sbin

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 07 Jun 2010 23:28:08 +1000

ethtool (1:2.6.34-1ubuntu1) maverick; urgency=low

  * Move ethtool to /sbin from /usr/sbin. (LP: #280421)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Jun 2010 09:02:43 -0400

ethtool (1:2.6.34-1) unstable; urgency=low

  * New upstream release
  * Add watch file for new version scheme
  * Move to net section (Closes: #570924)
  * Fix list of hash options in manual page

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 26 May 2010 02:01:22 +0100

ethtool (1:2.6.33-1) unstable; urgency=low

  * New upstream release
  * Debian source format is 3.0 (quilt)
  * DH compatibility level is 7
  * Fix quilt-build-dep-but-no-series-file
  * Fix out-of-date-standards-version
  * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 25 Feb 2010 15:38:42 +1100

ethtool (6+20091202-1) unstable; urgency=low

  * New git pull
    - Includes all of our patches
  * Remove watch file; there are no regular releases to watch for
  * Fix application of DMA ring settings from /etc/network/interfaces,
    thanks to Moritz Möller <m.moeller@bigpoint.net> (Closes: #555550)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 10 Dec 2009 05:34:09 +0000

ethtool (6+20090323-3) unstable; urgency=low

  * Exit immediately if IFACE=lo in if-up script
    Patch by Steve Langasek
    Closes: 556569

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 17 Nov 2009 11:32:53 +1100

ethtool (6+20090323-2) unstable; urgency=low

  * Remove conflicting type definitions. Closes: #545850

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 09 Sep 2009 21:29:40 +0100

ethtool (6+20090323-1) unstable; urgency=low

  * New git pull
  * Add more information to "ethtool -s" output. Closes: #511392
    - Link partner advertising flags (from Linux 2.6.31)
    - Pause frame (flow control) advertising flags
    - Port type "other"
  * Update policy version to 3.8.3
    - Add README.source

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 04 Sep 2009 02:55:48 +0100

ethtool (6+20090307-1) unstable; urgency=low

  * New upstream release
    - Includes all our patches

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 07 Mar 2009 00:41:14 +0000

ethtool (6+20080913-2) unstable; urgency=low

  * Add support for settings specified in /etc/network/interfaces.
    Closes: #386125
  * Remove long-outdated driver support status from README.Debian
  * Add support for arbitrary link speeds
  * Add support for GRO (from Linux 2.6.29)
  * Fix debian/rules clean to remove all generated files

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 05 Mar 2009 05:49:18 +0000

ethtool (6+20080913-1) unstable; urgency=low

  * Add myself to uploaders
  * New git pull
    - Add support for speeds >65535 Mbps
    - Add control of RX flow hashing
    - Add control of Large Receive Offload. Closes: #503959
  * Drop changes to support Linux 2.2 on SPARC
  * Convert remaining changes to quilt
  * Fix wrong long name for -p option in man page. Closes: #488067
  * Fix typos in man page. Closes: #506225
  * Expand package description and fix capitalisation. Closes: #469444
  * Use dh_strip to strip binaries. Closes: #436820
  * Do not override CC or CFLAGS in debian/rules
  * Remove unused variables from debian/rules
  * Use dh_installman instead of deprecated dh_installmanpages
  * Update copyright to refer specifically to GPLv2
  * Bump priority to optional

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 26 Nov 2008 02:36:02 +0000

ethtool (6+20080227-1) unstable; urgency=low

  * New git pull
    - Recent fixes for 10000 support. Closes: #468089
  * Fixed debian/watch
    Patch by Raphael Geissert <atomo64@gmail.com>
    Closes: #449638
  * Bumped Standards-Version to 3.7.3
  * Added homepage control header
  * Running autoconf and automake in debian/rules
  * Updated debian/copyright

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Feb 2008 18:08:04 +1100

ethtool (6-0) unstable; urgency=low

  * New upstream release.
  * Fixed "Reports 10GbE speed as 'Unknown! (10000)'". Closes: #398438.
  * Fixed the following lintian message:
    - W: ethtool source: debian-rules-ignores-make-clean-error line 22

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 11 Aug 2007 20:43:55 +1000

ethtool (5-2) unstable; urgency=low

  * Removed outdated information in package description.
    Closes: #389689.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 11 May 2007 22:12:08 +1000

ethtool (5-1) unstable; urgency=low

  * New maintainer.
  * New upstream release. Closes: #380681.
  * Set Standards-Version to 3.7.2.
  * Set debhelper compatibility to 5.
  * Added debian/watch.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 27 Oct 2006 13:05:16 +1000

ethtool (3-1) unstable; urgency=low

  * New upstream release.  Closes: #308954.
  * Lintian cleanup (debhelper V4 compatibility, updated standard-version).

 -- Eric Delaunay <delaunay@debian.org>  Tue, 25 Oct 2005 22:50:55 +0000

ethtool (2-1) unstable; urgency=low

  * New upstream release (new upstream version scheme using only 1 number).
    Closes: #275982.
  * Removed autoconf build-dependency (don't patch configure.in not to trigger
    an autoconf run when building this package; PRE24_COMPAT option is
    directly passed to Makefile through CFLAGS). Closes: #213921.
  * Strip binary. Closes: #273715.
  * Updated README.Debian. Closes: #213699.
  * Don't be so verbose when called with bad arg. Display long help message
    (ethtool -h) to stdout. Closes: #256249.

 -- Eric Delaunay <delaunay@debian.org>  Tue,  9 Nov 2004 23:40:54 +0100

ethtool (1.8-2) unstable; urgency=low

  * Fixed autoconf troubles. Closes: #211982.
  * Fixed package and manpage description about which kernel revision ethtool
    is compatible with. Closes: #207798.

 -- Eric Delaunay <delaunay@debian.org>  Wed, 24 Sep 2003 19:23:36 +0200

ethtool (1.8-1) unstable; urgency=low

  * New upstream release. Closes: #203577.
  * Fixed typo in man page. Closes: #199711.

 -- Eric Delaunay <delaunay@debian.org>  Sun, 17 Aug 2003 19:41:14 +0200

ethtool (1.7-1) unstable; urgency=low

  * New upstream release. Closes: #179413.
  * Build-Depends on debhelper. Closes: #189636.

 -- Eric Delaunay <delaunay@debian.org>  Thu, 24 Apr 2003 23:08:27 +0200

ethtool (1.6-1) unstable; urgency=low

  * New upstream release.
  * Moved to utils section. Closes: #145095.

 -- Eric Delaunay <delaunay@debian.org>  Sat, 13 Jul 2002 17:41:06 +0200

ethtool (1.5-2) unstable; urgency=low

  * Moved ethtool-sparc22.h into ethtool-util.h to get u8 & u32 defined before
    use. Closes: #143431.

 -- Eric Delaunay <delaunay@debian.org>  Sat, 20 Apr 2002 21:50:19 +0200

ethtool (1.5-1) unstable; urgency=low

  * New upstream release.
  * New maintainer address.
  * Updated list of drivers that support ethtool protocol in README.debian
    based on infos found in 2.4.18 kernel tree.

 -- Eric Delaunay <delaunay@debian.org>  Sun, 14 Apr 2002 19:24:18 +0200

ethtool (1.3-1) unstable; urgency=low

  * Initial release forked from sparc-utils 1.8-2 to enable multi-arch support.
  * Updated from ethtool 1.0 to 1.3 to enable 2.4 kernel support.
  * Hacked backward compatibility with pre-2.4 kernels for use with sparc Happy
    Meal (hme) Ethernet cards.

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Tue,  2 Oct 2001 20:25:05 +0200
